<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <nz-card style="width: 100%; margin-bottom: 10px" nzTitle="{{ 'Citizen.Skills' | translate }}" nzSize="small">
    <div nz-row nzGutter="12">
      <div nz-col nzXXl="4" nzXl="8" nzMd="8" nzSm="12" nzXs="12"
        nzTooltipTitle="{{ 'Citizen.strengthMoreDamage' | translate }}" nz-tooltip
        style="text-align: center; border-right: 1px solid lightgrey">
        <nz-statistic [nzValue]="(citizen?.strength | number: '1.0-2')!" [nzTitle]="Strength"
          [nzValueStyle]="{ color: '#3F8600' }">
        </nz-statistic>
        <ng-template #Strength>
          <img src="../../../../../../assets/img/icons/strength.png" alt="{{ 'Economy.Market.Abilities.Strength' | translate }}" style="width: 30px;">
          <br>
          {{ 'Economy.Market.Abilities.Strength' | translate }}
        </ng-template>
      </div>
      <div nz-col nzXXl="4" nzXl="8" nzMd="8" nzSm="12" nzXs="12"
        nzTooltipTitle="{{ 'Citizen.skillsProduceResources' | translate }}" nz-tooltip
        style="text-align: center; border-right: 1px solid lightgrey">
        <nz-statistic [nzValue]="(citizen?.economicSkill | number: '1.0-2')!" [nzTitle]="Skills"
          [nzValueStyle]="{ color: '#3F8600' }">
        </nz-statistic>
        <ng-template #Skills>
          <img src="../../../../../../assets/img/icons/skill.png" alt="{{ 'Citizen.Skills' | translate }}" style="width: 30px;">
          <br>
          {{ 'Citizen.Skills' | translate }}
        </ng-template>
      </div>
      <div nz-col nzXXl="4" nzXl="8" nzMd="8" nzSm="12" nzXs="12"
        nzTooltipTitle="{{ 'Citizen.advancingRankDamage' | translate }}" nz-tooltip
        style="text-align: center; border-right: 1px solid lightgrey">
        <nz-statistic [nzValue]="'Military.' + citizen?.militaryExperience.rankName | translate" [nzTitle]="Military" [nzValueStyle]="{ color: '#3F8600' }">
        </nz-statistic>        
        <ng-template #Military>
          <img src="../../../../../../assets/img/icons/military-rank.png" style="width: 30px;">
          <br>
          {{ 'Citizen.militaryRank' | translate }}
        </ng-template>
      </div>

      <div nz-col nzXXl="4" nzXl="8" nzMd="8" nzSm="12" nzXs="12"
        style="text-align: center; border-right: 1px solid lightgrey">
        <nz-statistic [nzValue]="''" [nzPrefix]="wellnessChart" [nzTitle]="CitizenWellness"
          [nzValueStyle]="{ color: '#3F8600' }">
        </nz-statistic>
        <ng-template #CitizenWellness>
          <img src="../../../../../../assets/img/icons/heart.png" style="width: 30px;">
          <br>
          {{ 'Citizen.citizenWellness' | translate }}
        </ng-template>
        <ng-template #wellnessChart>
          <nz-progress [nzPercent]="citizen?.health" nzType="circle" [nzWidth]="50" [nzFormat]="wellnessFormatter">
          </nz-progress>
        </ng-template>
      </div>
      <div nz-col nzXXl="4" nzXl="8" nzMd="8" nzSm="12" nzXs="12" [nzTooltipTitle]="
            citizen?.experience + ' / ' + citizen?.experienceRequiredNextLevel
          " nz-tooltip style="text-align: center; border-right: 1px solid lightgrey">
        <nz-statistic [nzValue]="''" [nzPrefix]="experienceChart" [nzTitle]="Experience"
          [nzValueStyle]="{ color: '#3F8600' }">
        </nz-statistic>
        <ng-template #Experience>
          <img src="../../../../../../assets/img/icons/crown.png" alt="{{ 'Economy.Market.Abilities.Experience' | translate }}" style="width: 30px;">
          <br>
          {{ 'Economy.Market.Abilities.Experience' | translate }}
        </ng-template>
        <ng-template #experienceChart>
          <nz-progress [nzPercent]="citizen?.experiencePercent" nzType="circle" [nzWidth]="50"
            [nzFormat]="experienceFormatter"></nz-progress>
        </ng-template>
      </div>
      <div nz-col nzXXl="4" nzXl="8" nzMd="8" nzSm="12" nzXs="12" [nzTooltipTitle]="
            citizen?.militaryExperience.experience +
            ' / ' +
            citizen?.militaryExperience.nextLevelExperience
          " nz-tooltip style="text-align: center; border-right: 1px solid lightgrey">
        <nz-statistic [nzValue]="''" [nzPrefix]="militaryRankChart" [nzTitle]="Rank"
          [nzValueStyle]="{ color: '#3F8600' }">
        </nz-statistic>
        <ng-template #Rank>
          <img src="../../../../../../assets/img/icons/military-rank.png" style="width: 30px;">
          <br>
          {{ 'Citizen.militaryRank' | translate }}
        </ng-template>
        <ng-template #militaryRankChart>
          <nz-progress [nzPercent]="citizen?.militaryRankPercent" nzType="circle" [nzWidth]="50"
            [nzFormat]="militaryExperienceFormatter"></nz-progress>
        </ng-template>
      </div>
    </div>
  </nz-card>
</nz-spin>